/*******************************************************************************
* File Name: XN.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_XN_ALIASES_H) /* Pins XN_ALIASES_H */
#define CY_PINS_XN_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define XN_0			(XN__0__PC)
#define XN_0_PS		(XN__0__PS)
#define XN_0_PC		(XN__0__PC)
#define XN_0_DR		(XN__0__DR)
#define XN_0_SHIFT	(XN__0__SHIFT)
#define XN_0_INTR	((uint16)((uint16)0x0003u << (XN__0__SHIFT*2u)))

#define XN_INTR_ALL	 ((uint16)(XN_0_INTR))


#endif /* End Pins XN_ALIASES_H */


/* [] END OF FILE */
