/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
/* Including TFT library */
#include "TFT.h" 

void main()
{	
	SPI_Start(); /* Starting the SPI component */
	TFT_Start(); /* Initializing the TFT controller */
	
	
	AMux_Start(); /* Starting the AMUX component */
	ADC_Start();  /* Starting the ADC operation */
	
	/* Drawing boundary lines to create check boxes */
	Draw_H_Line(0, Y_BOUNDARY_1, MAX_X+1, GREEN);
	Draw_H_Line(0, Y_BOUNDARY_2, MAX_X+1, GREEN);
	Draw_V_Line(X_BOUNDARY_1, 0, MAX_Y+1, YELLOW);
	Draw_V_Line(X_BOUNDARY_2, 0, MAX_Y+1, YELLOW);
	
	   for(;;)
    {
		Touch_Location(); /* Checking the location where the button is pressed */
		
	}
}



/* [] END OF FILE */
