/*******************************************************************************
* File Name: BCK.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BCK_ALIASES_H) /* Pins BCK_ALIASES_H */
#define CY_PINS_BCK_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define BCK_0			(BCK__0__PC)
#define BCK_0_PS		(BCK__0__PS)
#define BCK_0_PC		(BCK__0__PC)
#define BCK_0_DR		(BCK__0__DR)
#define BCK_0_SHIFT	(BCK__0__SHIFT)
#define BCK_0_INTR	((uint16)((uint16)0x0003u << (BCK__0__SHIFT*2u)))

#define BCK_INTR_ALL	 ((uint16)(BCK_0_INTR))


#endif /* End Pins BCK_ALIASES_H */


/* [] END OF FILE */
