/*******************************************************************************
* File Name: YP.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_YP_ALIASES_H) /* Pins YP_ALIASES_H */
#define CY_PINS_YP_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define YP_0			(YP__0__PC)
#define YP_0_PS		(YP__0__PS)
#define YP_0_PC		(YP__0__PC)
#define YP_0_DR		(YP__0__DR)
#define YP_0_SHIFT	(YP__0__SHIFT)
#define YP_0_INTR	((uint16)((uint16)0x0003u << (YP__0__SHIFT*2u)))

#define YP_INTR_ALL	 ((uint16)(YP_0_INTR))


#endif /* End Pins YP_ALIASES_H */


/* [] END OF FILE */
